{% extends '::base.html.twig' %}

{% block body -%}
    <h1>Usuario list</h1>

    <table class="records_list">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nombre</th>
                <th>Fechanac</th>
                <th>Salario</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in entities %}
            <tr>
                <td><a href="{{ path('usuario_show', { 'id': entity.id }) }}">{{ entity.id }}</a></td>
                <td>{{ entity.nombre }}</td>
                <td>{% if entity.fechanac %}{{ entity.fechanac|date('Y-m-d H:i:s') }}{% endif %}</td>
                <td>{{ entity.salario }}</td>
                <td>
                <ul>
                    <li>
                        <a href="{{ path('usuario_show', { 'id': entity.id }) }}">show</a>
                    </li>
                    <li>
                        <a href="{{ path('usuario_edit', { 'id': entity.id }) }}">edit</a>
                    </li>
                </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

        <ul>
        <li>
            <a href="{{ path('usuario_new') }}">
                Create a new entry
            </a>
        </li>
    </ul>
    {% endblock %}
